package com.anyway.favor.model;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * 礼物实体类
 *
 * @author anyway
 * @date 2024-06-29
 */
@Setter
@Getter
public class Gift extends BaseModel implements java.io.Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 礼物ID
     */
    private Long id;
    /** 礼物名称 */
    @NotBlank(message = "礼物名称不能为空")
    private String title;
    /** 类型，M钱，T物，O其他 */
    private String type;
    /** 价值 */
    private BigDecimal amount;

}
