package com.anyway.favor.model.dto;

import com.anyway.favor.model.FavorItem;
import com.anyway.favor.model.Gift;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.beans.BeanUtils;

import javax.validation.constraints.NotNull;

/**
 * 人情新增对象
 *
 * @author liuchuanwei
 * @date 2024-06-29
 */
@NoArgsConstructor
@Getter
@Setter
public class FavorItemDto extends FavorItem{
    /** 回赠礼物 */
    private Gift returnGift;
    /** 赠送礼物 */
    @NotNull(message = "赠送礼物不能为空")
    private Gift giveGift;

    public FavorItemDto(FavorItem favorItem) {
        BeanUtils.copyProperties(favorItem, this);
    }
    /** 转换为FavorItem对象 */
    public FavorItem toFavorItem() {
        return this;
    }
}


