package com.anyway.favor.service;

import com.anyway.favor.model.User;

import java.util.List;
import java.util.Map;

/**
 * 用户业务接口
 *
 * @author liuchuanwei
 * @date 2024-02-24
 */
public interface UserService {

    /**
     * 查询全部
     *
     * @return
     */
    List<User> findAll();

    /**
     * 根据条件查询列表
     *
     * @param map
     * @return
     */
    List<User> findByCondition(Map<String, Object> map);

    /**
     * 添加
     *
     * @param favor
     * @return
     */
    boolean add(User favor);

    /**
     * 更新
     *
     * @param favor
     * @return
     */
    boolean update(User favor);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    User findById(Long id);


}
