package com.anyway.favor.service.impl;

import com.anyway.favor.dao.GiftDao;
import com.anyway.favor.model.Gift;
import com.anyway.favor.service.GiftService;
import com.google.common.cache.CacheBuilder;
import com.google.common.cache.CacheLoader;
import com.google.common.cache.LoadingCache;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.PostConstruct;
import java.util.concurrent.TimeUnit;

@Service
public class GiftServiceImpl implements GiftService {

    @Autowired
    private GiftDao giftDao;

    /**
     * 人员缓存
     */
    private LoadingCache<Long, Gift> giftCache;

    @PostConstruct
    public void init() {
        giftCache = CacheBuilder.newBuilder()
                .maximumSize(100)
                .expireAfterWrite(5, TimeUnit.MINUTES)
                .build(new CacheLoader<Long, Gift>() {
                    @Override
                    public Gift load(Long id) {
                        return giftDao.findById(id);
                    }
                });
    }


    @Override
    public boolean add(Gift person) {
        return false;
    }

    @Override
    public boolean update(Gift person) {
        return false;
    }

    @Override
    public Gift findById(Long id) {
        return null;
    }

    @Override
    public int delete(Long id) {
        return 0;
    }
}
