<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<html>
<head>
    <title>添加人员</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <link rel="stylesheet" href="${pageContext.request.contextPath}/asserts/layui/css/layui.css">
</head>
<body>
<div style="margin: 10px 0 0 10px">
    <form class="layui-form layui-form-pane" action="${pageContext.request.contextPath}/person/update">
        <input type="hidden" name="id" value="${person.id}" />
        <div class="layui-form-item"> <label class="layui-form-label">称呼</label>
            <div class="layui-input-inline">
                <input type="text" name="callName" value="${person.callName}" lay-verify="required" lay-reqtext="称呼不能为空" placeholder="请输入" autocomplete="off" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item"> <label class="layui-form-label">姓名</label>
            <div class="layui-input-inline">
                <input type="text" name="name" value="${person.name}" lay-verify="required" lay-reqtext="姓名不能为空" placeholder="请输入" autocomplete="off" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item"> <label class="layui-form-label">地址</label>
            <div class="layui-input-inline">
                <input type="text" name="address" value="${person.address}" autocomplete="off" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item"> <label class="layui-form-label">性别</label>
            <div class="layui-input-block">
                <input type="radio" name="gender" value="M" title="男" <c:if test="${person.gender == 'M' or person.gender == null}">checked=""</c:if>>
                <input type="radio" name="gender" value="F" title="女" <c:if test="${person.gender == 'F'}">checked=""</c:if>>
            </div>
        </div>
        <div class="layui-form-item"> <label class="layui-form-label">配偶</label>
            <div class="layui-input-inline">
                <select name="mateId" lay-filter="mateId" lay-search="">
                    <option value="">请选择</option>
                    <if test="${person.mateId != null}">
                        <option value="${person.mateId}" selected>${person.mateName}</option>
                    </if>
                    <c:forEach items="${matePersonOptionList}" var="opt" varStatus="c">
                        <option value="${opt.value}">${opt.title}</option>
                    </c:forEach>
                </select>
            </div>
        </div>
        <div class="layui-form-item">
            <div class="layui-inline"> <label class="layui-form-label">父亲</label>
                <div class="layui-input-inline">
                    <select name="fatherId" lay-search="">
                        <option value="">请选择</option>
                        <if test="${person.fatherId != null}">
                            <option value="${person.fatherId}" selected>${person.fatherName}</option>
                        </if>
                        <c:forEach items="${fatherPersonOptionList}" var="opt" varStatus="c">
                            <option value="${opt.value}">${opt.title}</option>
                        </c:forEach>
                    </select>
                </div>
            </div>
            <div class="layui-inline"> <label class="layui-form-label">母亲</label>
                <div class="layui-input-inline">
                    <select name="motherId" lay-search="">
                        <option value="">请选择</option>
                        <if test="${person.motherId != null}">
                            <option value="${person.motherId}" selected>${person.motherName}</option>
                        </if>
                        <c:forEach items="${motherPersonOptionList}" var="opt" varStatus="c">
                            <option value="${opt.value}">${opt.title}</option>
                        </c:forEach>
                    </select>
                </div>
            </div>
        </div>
        <div class="layui-form-item"> <label class="layui-form-label">家中排行</label>
            <div class="layui-input-inline">
                <input type="number" name="sort" value="${person.sort}" autocomplete="off" class="layui-input" value="1">
            </div>
        </div>
        <div class="layui-form-item"> <label class="layui-form-label">婚姻状况</label>
            <div class="layui-input-inline">
                <input type="radio" name="maritalStatus" value="0" title="未婚" <c:if test="${person.maritalStatus == 0}">checked=""</c:if>>
                <input type="radio" name="maritalStatus" value="1" title="已婚" <c:if test="${person.maritalStatus == 1}">checked=""</c:if>>
            </div>
        </div>
        <div class="layui-form-item">
            <div class="layui-inline"> <label class="layui-form-label">出生日期</label>
                <div class="layui-input-inline">
                    <input type="text" name="birthday" id="birthday" value="<fmt:formatDate value='${person.birthday}' pattern='yyyy-MM-dd'/>" placeholder="yyyy-MM-dd" autocomplete="off" class="layui-input">
                </div>
            </div>
            <div class="layui-inline"> <label class="layui-form-label">去世日期</label>
                <div class="layui-input-inline">
                    <input type="text" name="deathDate" id="deathDate" value="${person.deathDate}" placeholder="yyyy-MM-dd" autocomplete="off" class="layui-input">
                </div>
            </div>
        </div>
        <div class="layui-form-item layui-form-text"> <label class="layui-form-label">备注</label>
            <div class="layui-input-block">
                <textarea name="remark" placeholder="请输入内容" class="layui-textarea">${person.remark}</textarea>
            </div>
        </div>
        <div class="layui-form-item">
            <div class="layui-input-block">
                <button type="submit" class="layui-btn" lay-submit="" lay-filter="submit">保存</button>
                <button type="reset" class="layui-btn layui-btn-primary">取消</button>
            </div>
        </div>
    </form>
</div>
<script type="text/javascript" src="${pageContext.request.contextPath}/asserts/js/jquery-3.7.1.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/asserts/layui/layui.js" charset="utf-8"></script>
<script>
    layui.use(['form', 'laydate'], function() {
        let form = layui.form, laydate = layui.laydate;
        //日期
        laydate.render({
            elem: '#birthday'
        });
        laydate.render({
            elem: '#deathDate'
        });
        //配偶下拉框选中触发事件
        form.on("select(mateId)", function (data) {
            if (data.value !== "") {
                $('input[name="maritalStatus"][value="1"]').prop('checked', 'checked');
            } else {
                $('input[name="maritalStatus"][value="0"]').prop('checked', 'checked');
            }
            layui.form.render();
        });
        //监听提交
        form.on('submit(submit)', function(data){
            let url = data.form.action;
            let formJson = data.field;
            if (formJson.id === undefined || formJson.id === '') {
                url = "${pageContext.request.contextPath}/person/add";
            }
            console.log("提交地址：" + url);
            console.log(JSON.stringify(data.field));
            $.ajax({
                url:url,
                type:"POST",
                data:JSON.stringify(formJson),
                contentType:"application/json; charset=utf-8",
                dataType:"json",
                success: function(res){
                    console.log(res);
                    if (res.code === 1) {
                        layer.msg(res.msg, {icon: 2, time: 2000});
                    } else {
                        //先给成功提示，然后关闭弹窗
                        layer.msg('保存成功', {icon: 1, time: 1000}, function() {
                            let index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
                            parent.layer.close(index);
                            parent.layui.table.reload("personTab");
                        });
                    }
                }
            })
            return false;
        });
    });
</script>
</body>
</html>
